Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Lolu chungechunge lwabekwa kunqolobane. Uyacelwa ubuze umbuzo omusha uma udinga usizo.

FireFox appears to be telling web servers that I am running 3.0.10 when I am on 7.0.1 for OS X

  • 3 uphendule
  • 3 zinale nkinga
  • 91 views
  • Igcine ukuphendulwa ngu cor-el

more options

My laptop died and I migrated to a new one running OS X Lion using Migration Assistant.

Now, several websites are telling me that I am running an old version of FireFox and to update. Example: plus.google.com

I tried adding a plugin to allow me to specify my version but that is not working as well since the browser reports the wrong version to the plugin manager. https://addons.mozilla.org/en-US/firefox/addon/prefbar/ says: Not available for Firefox 3.0.10

I am running version 7.0.1 on OS X 10.7.1 (looking at the details below, you are showing very different versions.)

Please help.

Thanks, Jacob

Isisombululo esikhethiwe

You have a pref general.useragent.override that changes the user agent.

  • Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.0.10) Gecko/2009042315 Firefox/3.0.10 GTB5 GoogleToolbarFF…

See:

Funda le mpendulo ngokuhambisana nalesi sihloko 👍 0

All Replies (3)

more options

Isisombululo Esikhethiwe

You have a pref general.useragent.override that changes the user agent.

  • Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.0.10) Gecko/2009042315 Firefox/3.0.10 GTB5 GoogleToolbarFF…

See:

more options

Thank You! This solution is far better than the sync, purge, and reinstall solutions I had seen before. Do you think this setting was added by one of my plugins? I cannot imagine doing it myself. I do all kinds of things to my browsers, but typically emulating an older browser is not one of them.

Again, Thanks, Jacob

more options

That user agent shows a GoogleToolbarFF (GTB5) part, so that toolbar is a likely suspect of a change that happened in the past (2009).